Latest served app build for a workflow
Most recent served app build for a workflow; build is null when none exists yet.
GET
/v1/agent-runs/latest-app-build
Most recent served app build for a workflow; build is null when none exists yet.
Authentication
API Key (header: Authorization)
Query Parameters
workflowId
string
required
query
Workflow id
Responses
200
OK
application/jsoncode
integer
data
object
build
object
appUrl
string
buildId
string
createdAt
string
workflowId
string
message
string
requestId
string
curl -X GET 'https://api.example.com/v1/agent-runs/latest-app-build?workflowId=string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/agent-runs/latest-app-build?workflowId=string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/agent-runs/latest-app-build?workflowId=string', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/agent-runs/latest-app-build?workflowId=string", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "build": { "appUrl": "<string>", "buildId": "<string>", "createdAt": "<string>", "workflowId": "<string>" } }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/agent-runs/latest-app-build
